<Type Name="SymAddressKind" FullName="System.Diagnostics.SymbolStore.SymAddressKind">
  <TypeSignature Maintainer="auto" Language="C#" Value="public enum SymAddressKind" />
  <AssemblyInfo>
    <AssemblyName>mscorlib</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>2.0.0.0</AssemblyVersion>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Base>
    <BaseTypeName>System.Enum</BaseTypeName>
  </Base>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Members>
    <Member MemberName="BitField">
      <MemberSignature Language="C#" Value="BitField" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.SymbolStore.SymAddressKind</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ILOffset">
      <MemberSignature Language="C#" Value="ILOffset" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.SymbolStore.SymAddressKind</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="NativeOffset">
      <MemberSignature Language="C#" Value="NativeOffset" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.SymbolStore.SymAddressKind</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="NativeRegister">
      <MemberSignature Language="C#" Value="NativeRegister" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.SymbolStore.SymAddressKind</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="NativeRegisterRegister">
      <MemberSignature Language="C#" Value="NativeRegisterRegister" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.SymbolStore.SymAddressKind</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="NativeRegisterRelative">
      <MemberSignature Language="C#" Value="NativeRegisterRelative" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.SymbolStore.SymAddressKind</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="NativeRegisterStack">
      <MemberSignature Language="C#" Value="NativeRegisterStack" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.SymbolStore.SymAddressKind</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="NativeRVA">
      <MemberSignature Language="C#" Value="NativeRVA" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.SymbolStore.SymAddressKind</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="NativeSectionOffset">
      <MemberSignature Language="C#" Value="NativeSectionOffset" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.SymbolStore.SymAddressKind</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <since version=".NET 2.0" />
      </Docs>
    </Member>
    <Member MemberName="NativeStackRegister">
      <MemberSignature Language="C#" Value="NativeStackRegister" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.SymbolStore.SymAddressKind</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
  <Attributes>
    <Attribute>
      <AttributeName>System.Runtime.InteropServices.ComVisible(true)</AttributeName>
    </Attribute>
  </Attributes>
</Type>
